module cpu
(
    input   wire        clock,
    output  reg [12:0]  address,
    output  reg [ 7:0]  data,
    output  reg         we
);

initial begin address = 0; data = 0; we = 0; end

wire [11:0] next = address + 1;

always @(posedge clock) begin

    we <= 1;

    address <= {1'b1, next};
    data    <= data + address[7:0];

end

endmodule
